Description

Associated revisions
Revision caa56441 - 05/26/2011 10:31 PM - J. Moringen
Renamed Subscriber -> Listener, Publisher -> Informer
refs #330
    -  src/rsb/Informer.java: renamed src/rsb/Publisher.java ->

  src/rsb/Informer.java; renamed class Publisher -> Informer
    -  src/rsb/InformerState.java: renamed src/rsb/PublisherState.java ->

  src/rsb/InformerState.java; renamed class PublisherState ->
  InformerState

    -  src/rsb/Listener.java: renamed src/rsb/Subscriber.java ->
  src/rsb/Listener.java; renamed class Subscriber -> Listener; removed
  addition scope

    -  src/rsb/ListenerState.java: renamed src/rsb/SubscriberState.java ->
  src/rsb/ListenerState.java; renamed class SubscriberState ->
  ListenerState

    -  src/rsb/example/Informer.java: adapted to changed class names
    -  src/rsb/example/SubscriberExample.java: likewise
    -  test/rsb/InformerTest.java: renamed test/rsb/PublisherTest.java ->

  test/rsb/InformerTest.java; adapted to changed class names
    -  test/rsb/UserLevelTest.java: adapted to changed class names
    -  rsb-xml/rsb/example/XMLInformer.java: likewise

Revision b38f41cc - 05/26/2011 10:38 PM - J. Moringen
Adapted Java test to changed client API
refs #330
    -  java/informer.java: adapted to changed informer API
    -  java/listener.java: adapted to changed listener API

Revision 179df1b8 - 05/26/2011 11:13 PM - J. Moringen
Renamed classes *Listener -> *Handler
refs #330
    -  src/rsb/event/DataHandler.java: renamed

  src/rsb/event/RSBDataListener.java ->
  src/rsb/event/DataHandler.java; renamed class RSBDataListener ->
  DataHandler

    -  src/rsb/event/EventHandler.java: renamed
  src/rsb/event/EventListener.java -> src/rsb/event/EventHandler.java;
  renamed class EventListener -> EventHandler

    -  src/rsb/event/Handler.java: renamed src/rsb/event/RSBListener.java
  -> src/rsb/event/Handler.java; renamed class RSBListener -> Handler
    -  src/rsb/event/Subscription.java: adapted to renamed *Handler classes
    -  src/rsb/Listener.java: likewise; renamed addListener -> addHandler
    -  test/rsb/UserLevelTest.java: adapted to changed client interface
    -  test/rsb/event/EventDispatcherTest.java: likewise
    -  test/rsb/filter/SubscriptionTest.java: likewise
    -  src/rsb/example/SubscriberExample.java: likewise

Revision 746a6c9e - 05/26/2011 11:18 PM - J. Moringen
Adapted Java test to changed client API
refs #330
    -  java/listener.java: adapted to changed event.*Handler API

Revision d02d2776 - 05/27/2011 12:15 AM - J. Moringen
Removed Subscription class
refs #330
    -  src/rsb/event/Subscription.java: removed
    -  src/rsb/Listener.java: store filters and handlers; added methods  {get,add,remove}{Handler,Filter}
    -  src/rsb/event/EventProcessor.java: likewise; pass one handler, a

  list of filters and one event to each MatchAndDispatchTask
    -  src/rsb/event/MatchAndDispatchTask.java: removed subscription; added

  handler and list of filters; added match method from Subscription
  class

    -  src/rsb/transport/Router.java: removed {un,}subscribe methods; added
  methods {add,remove}{Handler,Filter}; changes of handlers and
  filters are delegated to EventProcessor

    -  test/rsb/filter/SubscriptionTest.java: removed
    -  test/rsb/event/EventDispatcherTest.java: changed

  subscription-related test cases into handler test cases
    -  test/rsb/UserLevelTest.java: adapted to changed client interface
    -  src/rsb/example/SubscriberExample.java: likewise

Revision cf7508b3 - 05/27/2011 12:20 AM - J. Moringen
Adapted Java test to changed client API
refs #330
    -  java/listener.java: adapted to changed client API

Revision 13f0a585 - 05/27/2011 12:32 AM - J. Moringen
Updated documentation in src/rsb/{Informer,Listener}.java
fixes #330
    -  src/rsb/Informer.java: updated documentation string of Informer

  class to account for differences between bus communication and
  publish-subscribe communication

    -  src/rsb/Listener.java: similar for Listener class

History
#1 - 05/27/2011 12:32 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1234.
